[profile.default]
src = "src"
out = "out"
libs = ["lib"]
fs_permissions = [{ access = "read-write", path = "./"}, { access = "read", path = "/tmp"}]
gas_limit = 1_000_000_000
gas_price = 0
optimizer = true
optimizer_runs = 200
via_ir = true
bytecode_size_limit = 0

[profile.maxperf]
via_ir = true
bytecode_size_limit = 0
# See more config options https://github.com/foundry-rs/foundry/tree/master/config

[rpc_endpoints]
goerli = "${GOERLI_RPC_URL}"
# Remappings in remappings.txt

[fmt]
line_length = 160
tab_width = 4
bracket_spacing = true
int_types = "long"
multiline_func_header = "all"
quote_style = "double"
number_underscore = "thousands"
sort_imports = true
